package com.jqtx.windows.component.tsmodel;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.DecimalMin;
import java.math.BigDecimal;

/**
 * @program: asgard
 * @description:
 * @author: zq
 * @create: 2019-12-17 16:48
 **/
@Data
public class ResultRequest {

    @DecimalMin(value = "0.00", message = "扣款金额")
    @ApiModelProperty(value = "扣款金额", required = true)
    private BigDecimal actualAmt;

    @ApiModelProperty(value = "处理结果描述信息", required = false)
    private String handleMsg;

    @ApiModelProperty(value = "意向单编号", required = false)
    private String intentionId;

    @ApiModelProperty(value = "处理结果描述信息 ", required = false)
    private String memo;

    @ApiModelProperty(value = "意向单状态[SUCCESS：处理成功，FAILED：处理失败", required = false)
    private String state;

    private String isYtCase = "0";
}
