package com.jqtx.windows.service.impl;

import com.alibaba.fastjson2.JSONObject;
import com.jqtx.windows.component.config.FeignUrlConfig;
import com.jqtx.windows.service.SyncDataService;
import com.jqtx.windows.utils.http.HttpUtil;
import com.jqtx.windows.web.response.JsonResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.HashMap;
import java.util.Map;

/**
 * @Description:
 * @Author: wuwei
 * @Date: 2019/12/04 12:02
 */
@Service
public class SyncDataServiceImpl implements SyncDataService {

    @Autowired
    private FeignUrlConfig feignUrlConfig;

    @Override
    public JsonResult synResult(String url, String body) {
        Map<String, String> headers = new HashMap<>();
        headers.put("secretKey", feignUrlConfig.getSecretKey());
        String resp = HttpUtil.doPost(url, headers, body);
        return JSONObject.parseObject(resp, JsonResult.class);
    }



}
